package cz.moneta.test.system.cebia;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.cebia.schemas.iva.service.VehicleIdentification1Response;
import cz.moneta.test.harness.annotations.TestCase;
import cz.moneta.test.harness.annotations.TestScenario;
import org.junit.jupiter.api.Assertions;

@TestScenario(name = "verifies a vehicle against Cebia")
public class VehicleIdentification {

    @TestCase(name = "verifies a vehicle against Cebia")
    public void validateVehicle(Harness harness) {
        VehicleIdentification1Response response = harness.tasks()
                .cebia()
                .verifyVehicle("UU1KSDAFH39569658");

        Assertions.assertNotNull(response);
    }
}
